Subject: Jove (lightweight Emacs lookalike editor) 4.6.14.32#12
From: Karel Kubat <[email-masked]>
Date: Wed, 19 Oct 1994 16:56:03 GMT
Newsgroups: comp.os.linux.announce

Heia,

This is to announce a yet improved Jove version: 4.6.14.32#12, with extensive
guidelines for a Linux installation, and with extensive macro examples.

Jove (Jonathan's Own Version of Emacs) is a light-weight Emacs lookalike which
has a lot of Emacs' functionality (such as: major and minor editing modes,
brace matching, etc.) but which is _much_ smaller. Jove is contained in a
binary of about 150K, with a full macro set of about 10K and on-line help of
about 15K. Jove is an all-round editor: it is _not_ a text processor, nor
a HTML editor or any other specific dedicated editor. It _is_ however highly
customizable, e.g., it can load different macro files depending on the file
extension, thereby allowing different setups for different modes.

Tom Hageman ([email-masked]) has been extensively involved with Jove; porting
it to divers Unix and non-Unix platforms, cleaning it up and enhancing it.
Jove will run on almost any platform you use, including MS-DOS (where it will
let you edit a 2-Meg file...). I (Karel Kubat, [email-masked]) have ported
Jove to Linux with Tom's help and have written extensive documentation plus a
macro package, which I hope will serve as an example for others.

I am _not_ uploading Jove and all related files to sunsite or tsx-11, since
Jove isn't Linux-specific. And I don't wish to clutter the ftp world. Instead,
I'd like to present information where Jove can be obtained:

(1) All information on obtaining Jove, installing it on a Linux system, and on
    my macro package can be found via WWW at:
	http://www.icce.rug.nl/docs/programs/jove/jove.html
    You can also connect to
	http://www.icce.rug.nl
    and check the `hotlist', or go via `documents' -> `programs' -> `jove'.
    The url which you thus reach contains references to all which is listed
    below.

(2) If you don't have WWW access, get via ftp the file:
	ftp.icce.rug.nl:/pub/http/jove.ps.gz
    This is a gzip-ped PostScript document of the above URL.

(3) The program Jove can be obtained via ftp as:
	ftp.icce.rug.nl:/pub/tom/jove/jove/jove-4.6.14.32#12.tar.gz
    This archive contains all sources, makefiles, etcetera. The documentation
    on the usage of Jove is also contained here (no Linux-specific information
    and no information on my macros, just Tom's documentation on the editor
    `sec').

(4) If you care to take a look at my macros, get via ftp:
	ftp.icce.rug.nl:/pub/http/jove-resource.tar.gz
    This archive has the resouce files which are described in the documents
    (1) and (2). Example macro packages are defined for C/C++, for SGML and
    for HTML.
    
-- 
Karel Kubat ([email-masked]).
I was going to commit suicide the other day, but I must not have been serious
because I brought a beach towel.

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.